<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Notification;
use App\Models\UserToken;
use App\User;
use Edujugon\PushNotification\PushNotification;
use Illuminate\Http\Request;

class NewBarbersController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $rows = User::whereType('barber')->where('admin_accept', 'false')->orderByDesc('id')->get();
        return view('admin.new_barber.index', compact('rows'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param \Illuminate\Http\Request $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param int $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {

    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param int $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $row = User::find($id);
        return view('admin.new_barber.edit', compact('row'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param \Illuminate\Http\Request $request
     * @param int $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {

        User::where('id', $id)->update([
            'status' => 'active',
            'admin_accept' => 'true'
        ]);

// sms code notify user
        $tokens = UserToken::whereStatus('connected')->where('user_id',$id)->get();

        $notification = new Notification();
        $notification['user_id'] = $id;
        $notification['body->ar'] = 'تم الموافقة علي طلبكم بالإنضمام لتطبيق نعيما';
        $notification['body->en'] = 'your request to join Naema has been approved' ;
        $notification['type'] = 'admin';
        $notification['seen'] = 'false';
        $notification->save();

        foreach ($tokens as $token) {
            if ($token->lang = 'ar'){
                $title = 'تم الموافقة علي طلبكم بالإنضمام لتطبيق نعيما';
                $body = 'تم الموافقة علي طلبكم بالإنضمام لتطبيق نعيما';
            }else{
                $title = "your request to join Naema has been approved";
                $body = "your request to join Naema has been approved";
            }
            $push = new PushNotification('fcm');

            if ($token->device_type == 'ios') {

                $msg = [
                    'data' => [
                        'title_ar' => 'تم الموافقة علي طلبكم بالإنضمام لتطبيق نعيما',
                        'title' => $title,
                        'body' => $body,
                        'title_en' =>  "your request to join Naema has been approved",
                        'body_ar' => 'تم الموافقة علي طلبكم بالإنضمام لتطبيق نعيما',
                        'body_en' =>  "your request to join Naema has been approved",
                        'type' => 'admin_accept',
                        'sound' => 'default',
                        'click_action' => 'FCM_PLUGIN_ACTIVITY',
                    ],
                    'notification' => [
                        'title_ar' => 'تم الموافقة علي طلبكم بالإنضمام لتطبيق نعيما',
                        'title_en' =>  "your request to join Naema has been approved",
                        'body_ar' => 'تم الموافقة علي طلبكم بالإنضمام لتطبيق نعيما',
                        'body_en' =>  "your request to join Naema has been approved",
                        'type' => 'admin_accept',
                        'title' => $title,
                        'body' => $body,

                        'sound' => 'default',
                        'click_action' => 'FCM_PLUGIN_ACTIVITY',
                    ],
                    'priority' => 'high',
                ];
                $push->setMessage($msg)
                    ->setDevicesToken($token->token)
                    ->send();

            } else {
                $msg = [
                    'data' => [
                        'title_ar' => 'تم الموافقة علي طلبكم بالإنضمام لتطبيق نعيما',
                        'title_en' =>  "your request to join Naema has been approved",
                        'body_ar' => 'تم الموافقة علي طلبكم بالإنضمام لتطبيق نعيما',
                        'body_en' =>  "your request to join Naema has been approved",
                        'type' => 'admin_accept',
                        'title' => $title,
                        'body' => $body,

                        'sound' => 'default',
                        'click_action' => 'FCM_PLUGIN_ACTIVITY',
                    ],
                    'priority' => 'high',
                ];
                $push->setMessage($msg)
                    ->setDevicesToken($token->token)
                    ->send();

            }


        }


        toast('تمت الموافقه علي الطلب', 'success');
        return redirect()->route('barber.index');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param int $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        User::destroy($id);
        toast('تم حذف الطلب ', 'success', 'top-left');
        return back();
    }
}
