<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Notification;
use App\Models\UserToken;
use App\User;
use Edujugon\PushNotification\PushNotification;
use Illuminate\Http\Request;

class NotificationsController extends Controller
{
    public function index()
    {
        return view('admin.notifications.index');
    }

    public function store(Request $request)
    {

        $this->validate($request, [
            'body_ar' => 'required',
            'body_en' => 'required'
        ]);
        $tokens = UserToken::whereStatus('connected')->get();
        $users = User::whereHas('tokens')->get();
        foreach ($users as $user) {

            $notification = new Notification();
            $notification['user_id'] = $user->id;
            $notification['body->ar'] = $request['body_ar'];
            $notification['body->en'] = $request['body_en'];
            $notification['type'] = 'admin';
            $notification['seen'] = 'false';
            $notification->save();
        }


        foreach ($tokens as $token) {
            if ($token->lang = 'ar'){
                $title = $request['body_ar'];
                $body = $request['body_ar'];
            }else{
                $title = $request['body_en'];
                $body = $request['body_en'];
            }
            $push = new PushNotification('fcm');

            if ($token->device_type == 'ios') {

                $msg = [
                    'data' => [
                        'title_ar' => $request['body_ar'],
                        'title' => $title,
                        'body' => $body,
                        'title_en' => $request['body_en'],
                        'body_ar' => $request['body_ar'],
                        'body_en' => $request['body_en'],
                        'type' => 'admin',
                        'sound' => 'default',
                        'click_action' => 'FCM_PLUGIN_ACTIVITY',
                    ],
                    'notification' => [
                        'title_ar' => $request['body_ar'],
                        'title_en' => $request['body_en'],
                        'body_ar' => $request['body_ar'],
                        'body_en' => $request['body_en'],
                        'type' => 'admin',
                        'title' => $title,
                        'body' => $body,

                        'sound' => 'default',
                        'click_action' => 'FCM_PLUGIN_ACTIVITY',
                    ],
                    'priority' => 'high',
                ];
                $push->setMessage($msg)
                    ->setDevicesToken($token->token)
                    ->send();

            } else {
                $msg = [
                    'data' => [
                        'title_ar' => $request['body_ar'],
                        'title_en' => $request['body_en'],
                        'body_ar' => $request['body_ar'],
                        'body_en' => $request['body_en'],
                        'type' => 'admin',
                        'title' => $title,
                        'body' => $body,
                        'sound' => 'default',
                        'click_action' => 'FCM_PLUGIN_ACTIVITY',
                    ],
                    'priority' => 'high',
                ];
                $push->setMessage($msg)
                    ->setDevicesToken($token->token)
                    ->send();

            }

        }
        toast('تم الارسال بنجاح', 'success', 'top-left');
        return back();

    }
}
