<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;

class BarberResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param \Illuminate\Http\Request $request
     * @return array
     */
    public function toArray($request)
    {
        return [
            'id' => $this->id,
            'name' => $this->name ? $this->name : '',
            'last_name' => $this->last_name ? $this->last_name : '',
            'email' => $this->email ? $this->email : '',
            'image' => $this->image ? asset('images/users/' . $this->image) : '',
            'mobile' => $this->mobile ? $this->mobile : '',
            'status' => $this->status,
            'type' => $this->type,
            'country' => $this->country ? $this->country : '',
            'notifications' => $this->notifications ? $this->notifications : '',
            'admin_accept' => $this->admin_accept ? $this->admin_accept : '',
            'lat' => $this->lat ? $this->lat : '',
            'lng' => $this->lng ? $this->lng : '',
            'code' => $this->code ? (integer)$this->code : 0,
            'addresses' => AddressesResource::collection($this->addresses),
            'rates' => $this->barber_rates($this->id),
            'total_rate' => getRateForUser($this->id),

        ];
    }
}
