<?php

namespace App\Http\Resources;

use App\Models\Order;
use App\User;
use Illuminate\Http\Resources\Json\JsonResource;
use JWTAuth;

class UsersResource extends JsonResource
{

    public function toArray($request)
    {
        $user = User::find($this->id);
        $myTTL = 60 * 60 * 365; //minutes
        JWTAuth::factory()->setTTL($myTTL);
        $token = JWTAuth::fromUser($user);
        return [
            'id' => $this->id,
            'name' => $this->name ? $this->name : '',
            'last_name' => $this->last_name ? $this->last_name : '',
            'email' => $this->email ? $this->email : '',
            'image' => $this->image ? asset('images/users/' . $this->image) : '',
            'id_image' => $this->id_image ? asset('images/users/' . $this->id_image) : '',
            'town_image' => $this->town_image ? asset('images/users/' . $this->town_image) : '',
            'mobile' => $this->mobile ? $this->mobile : '',
            'status' => $this->status,
            'type' => $this->type,
            'accept_orders' => $this->accept_orders ? $this->accept_orders : '',
            'country' => $this->country ? $this->country : '',
            'notifications' => $this->notifications ? $this->notifications : '',
            'admin_accept' => $this->admin_accept ? $this->admin_accept : '',
            'lat' => $this->lat ? $this->lat : '',
            'lng' => $this->lng ? $this->lng : '',
            'code' => $this->code ? (integer)$this->code : 0,
            'orders_count' => Order::where('user_id', $this->id)->count(),
            'total_rate' =>getRateForUser($this->id),
            'rates' => $this->barber_rates($this->id),
            'addresses' => AddressesResource::collection($this->addresses),
            'token' => $token
        ];
    }
}
