<?php

namespace App\Models;

use App\User;
use Illuminate\Database\Eloquent\Model;

class Order extends Model
{

    protected $table = 'orders';
    public $timestamps = true;
    protected $fillable = array('user_id', 'services_price', 'address_id', 'barber_id', 'notes', 'payment_type', 'discount_code', 'fees', 'total_price', 'order_code', 'status', 'paid_amount','user_delete','barber_delete','service_price_fee');

    public function user()
    {
        return $this->belongsTo(User::class, 'user_id');
    }

    public function barber()
    {
        return $this->belongsTo(User::class, 'barber_id');
    }

    public function address()
    {
        return $this->belongsTo(Address::class, 'address_id');
    }

    public function services()
    {
        return $this->belongsToMany(Service::class, 'order_services', 'order_id', 'service_id');
    }

    public function notifications()
    {
        return $this->hasMany(Notification::class, 'order_id');
    }

    public function order_services()
    {
        $lang = request()->header('Accept-Language', 'ar');
        $rows = OrderService::where('order_id', $this->id)->where('barber_added', null)->get();
        $data = [];
        foreach ($rows as $row) {
            $service = Service::find($row->service_id);
            $arr['service_id'] = $row->service_id;
            $arr['service_name'] = $service->name[$lang];
            $arr['service_price'] = $service->price;
            $arr['count'] = $row->count;
            $arr['price'] = $service->price * $row->count;
            $data[] = $arr;
        }
        return $data;

    }

    public function barber_order_services()
    {
        $lang = request()->header('Accept-Language', 'ar');
        $rows = OrderService::where('order_id', $this->id)->get();
        $data = [];
        foreach ($rows as $row) {
            $service = Service::find($row->service_id);
            $arr['service_id'] = $row->service_id;
            $arr['service_name'] = $service->name[$lang];
            $arr['service_price'] = $service->price;
            $arr['count'] = $row->count;
            if ($row->barber_added == 'true') {
                $flag = 'barber';
            } else {
                $flag = 'client';
            }
            $arr['flag'] = $flag;
            $arr['price'] = $service->price * $row->count;
            $data[] = $arr;
        }
        return $data;

    }
}
