<?php

namespace App\Models;

use App\User;
use Illuminate\Database\Eloquent\Model;

class Service extends Model
{

    protected $table = 'services';
    public $timestamps = true;
    protected $fillable = array('name', 'price', 'image', 'duration');
    protected $casts = ['name' => 'json'];

    public function setImageAttribute()
    {
        $rand = rand(111, 999);
        $file = request()->file('image');
        $destinationPath = 'images/services/';
        $filename = $rand . '_' . time() . '.' . $file->getClientOriginalExtension();
        $file->move($destinationPath, $filename);
        $this->attributes['image'] = $filename;
    }

    public function users()
    {
        return $this->belongsToMany(User::class, 'user_services', 'service_id', 'user_id');
    }
}
