@extends('admin.layout.master')
@section('title', 'العروض')
@section('content')
    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">العروض</h4>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="card-box">

                <h4 class="header-title mb-4">إنشاء جديد</h4>

                <div class="row">
                    <div class="col-xl-12">
                        <form method="post" action="{{route('offers.store')}}" enctype="multipart/form-data">
                            @csrf
                            <div class="form-group">
                                <label for="exampleInputEmail1">الوصف باللغة العربية</label>
                                <input type="text" class="form-control" value="{{old('body_ar')}}" required name="body_ar"
                                       id="exampleInputEmail1"
                                       placeholder="الوصف باللغة العربية">
                                @if ($errors->has('body_ar'))
                                    <small class="text-danger">{{ $errors->first('body_ar') }}</small>
                                @endif
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">الوصف باللغة الإنجليزية</label>
                                <input type="text" class="form-control" value="{{old('body_en')}}" required
                                       name="body_en"
                                       id="exampleInputEmail1"
                                       placeholder="الوصف باللغة الإنجليزية">
                                @if ($errors->has('body_en'))
                                    <small class="text-danger">{{ $errors->first('body_en') }}</small>
                                @endif
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">كود الخصم</label>
                                <input type="text" class="form-control" value="{{old('code')}}" required name="code"
                                       id="exampleInputEmail1"
                                       placeholder="كود الخصم">
                                @if ($errors->has('code'))
                                    <small class="text-danger">{{ $errors->first('code') }}</small>
                                @endif
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">نسبة التخفيص %</label>
                                <input type="number" class="form-control" required value="{{old('discount')}}"
                                       name="discount"
                                       id="exampleInputEmail1"
                                       placeholder="نسبة التخفيض بالنسبة المئوية">
                                @if ($errors->has('discount'))
                                    <small class="text-danger">{{ $errors->first('discount') }}</small>
                                @endif
                            </div>


                            <div class="form-group">
                                <label for="exampleSelect1">تخصيص إلي</label>
                                <select name="to" class="form-control" id="exampleSelect1_to">
                                    <option value="users">تحديد المستخدمين</option>
                                    <option value="all">الكل</option>
                                </select>
                            </div>
                            @if ($errors->has('to'))
                                <small class="text-danger">{{ $errors->first('to') }}</small>
                            @endif


                            <div class="form-group" id="users_select">
                                <label for="exampleSelect1">المستخدمين</label>
                                <select name="users[]" class="form-control js-example-basic-multiple" multiple
                                        id="exampleSelect1_to">
                                    @foreach($users as $user)
                                        <option value="{{$user->id}}">{{$user->name .' '.$user->last_name}}</option>
                                    @endforeach
                                </select>
                            </div>
                            @if ($errors->has('users'))
                                <small class="text-danger">{{ $errors->first('users') }}</small>
                            @endif


                            <button type="submit" class="btn btn-primary">حفظ</button>
                        </form>
                    </div><!-- end col -->


                </div><!-- end row -->
            </div>
        </div><!-- end col -->
    </div>



@stop
@section('scripts')
    <script>
           $("#exampleSelect1_to").on('change',function () {
                var select_to = $("#exampleSelect1_to").val();
                if (select_to == 'all'){
                    $("#users_select").hide();
                }else {
                    $("#users_select").show();

                }
        });
    </script>

@stop
