@extends('admin.layout.master')
@section('title', 'الاعدادات')
@section('content')
    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">الاعدادات</h4>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="card-box">

                <h4 class="header-title mb-4">الاعدادات</h4>
                @include('admin.layout.message')

                <div class="row">
                    <div class="col-xl-12">
                        <form method="post" action="{{route('setting.update',$row->id)}}"
                              enctype="multipart/form-data">
                            @csrf
                            @method('PATCH')

                            <div class="form-group">
                                <label for="exampleInputEmail1">رقم الجوال</label>
                                <input type="text" class="form-control"
                                       value="{{( $row && $row->mobile) ? $row->mobile : ''}}" required
                                       name="mobile"
                                       id="exampleInputEmail1"
                                       placeholder="رقم الجوال">
                                @if ($errors->has('mobile'))
                                    <small class="text-danger">{{ $errors->first('mobile') }}</small>
                                @endif
                            </div>


                            <div class="form-group">
                                <label for="exampleInputEmail1">البريد الألكتروني</label>
                                <input type="email" class="form-control"
                                       value="{{($row && $row->email ) ? $row->email : ''}}" required
                                       name="email"
                                       id="exampleInputEmail1"
                                       placeholder="البريد الألكتروني">
                                @if ($errors->has('email'))
                                    <small class="text-danger">{{ $errors->first('email') }}</small>
                                @endif
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">رابط التطبيق الأندرويد</label>
                                <input type="text" class="form-control"
                                       value="{{($row && $row->android_link ) ? $row->android_link : ''}}" required
                                       name="android_link"
                                       id="exampleInputEmail1"
                                       placeholder="رابط التطبيق الأندرويد">
                                @if ($errors->has('android_link'))
                                    <small class="text-danger">{{ $errors->first('android_link') }}</small>
                                @endif
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">رابط التطبيق الأيفون</label>
                                <input type="text" class="form-control"
                                       value="{{($row && $row->ios_link ) ? $row->ios_link : ''}}" required
                                       name="ios_link"
                                       id="exampleInputEmail1"
                                       placeholder="رابط التطبيق الأيفون">
                                @if ($errors->has('ios_link'))
                                    <small class="text-danger">{{ $errors->first('ios_link') }}</small>
                                @endif
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">قيمة الضريبة بالريال</label>
                                <input type="number" class="form-control"
                                       value="{{($row && $row->fee ) ? $row->fee : ''}}" required
                                       name="fee"
                                       id="exampleInputEmail1"
                                       placeholder="قيمة الضريبة">
                                @if ($errors->has('fee'))
                                    <small class="text-danger">{{ $errors->first('fee') }}</small>
                                @endif
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">سعر التوصيل بالريال</label>
                                <input type="number" class="form-control"
                                       value="{{($row && $row->delivery_fee ) ? $row->delivery_fee : ''}}" required
                                       name="delivery_fee"
                                       id="exampleInputEmail1"
                                       placeholder="سعر التوصيل ">
                                @if ($errors->has('delivery_fee'))
                                    <small class="text-danger">{{ $errors->first('delivery_fee') }}</small>
                                @endif
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">قيمة الخصم للمجموعات بالريال</label>
                                <input type="number" class="form-control"
                                       value="{{($row && $row->discount_fee ) ? $row->discount_fee : ''}}" required
                                       name="discount_fee"
                                       id="exampleInputEmail1"
                                       placeholder="قيمة الخصم للمجموعات  ">
                                @if ($errors->has('discount_fee'))
                                    <small class="text-danger">{{ $errors->first('discount_fee') }}</small>
                                @endif
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">ميعاد بداية تشغيل التطبيق</label>
                                <input type="time" class="form-control"
                                       value="{{($row && $row->open_from ) ? $row->open_from : ''}}" required
                                       name="open_from"
                                       id="exampleInputEmail1"
                                       placeholder="ميعاد بداية تشغيل التطبيق">
                                @if ($errors->has('open_from'))
                                    <small class="text-danger">{{ $errors->first('open_from') }}</small>
                                @endif
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">ميعاد غلق تشغيل التطبيق</label>
                                <input type="time" class="form-control"
                                       value="{{($row && $row->open_to ) ? $row->open_to : ''}}" required
                                       name="open_to"
                                       id="exampleInputEmail1"
                                       placeholder="ميعاد غلق تشغيل التطبيق">
                                @if ($errors->has('open_to'))
                                    <small class="text-danger">{{ $errors->first('open_to') }}</small>
                                @endif
                            </div>

                            <div class="card-box">
                                <div class="form-group">
                                    <label for="company_details_ar">عن التطبيق باللغة العربية</label>
                                    <textarea class="form-control tinymce"
                                              name="about_ar" cols="50"
                                              placeholder="عن التطبيق باللغة العربية"
                                              rows="10">{{$row ? $row->about['ar'] : ''}}</textarea>
                                    @if ($errors->has('about_ar'))
                                        <small class="text-danger">{{ $errors->first('about_ar') }}</small>
                                    @endif
                                </div>
                                <div class="form-group">
                                    <label for="company_details_en">عن التطبيق باللغة الإنجليزية</label>
                                    <textarea class="form-control tinymce"
                                              name="about_en" cols="50"
                                              placeholder="عن التطبيق باللغة الإنجليزية"
                                              rows="10">{{$row ? $row->about['en'] : ""}}</textarea>
                                    @if ($errors->has('about_en'))
                                        <small class="text-danger">{{ $errors->first('about_en') }}</small>
                                    @endif
                                </div>
                            </div>


                            <button type="submit" class="btn btn-primary">تعديل</button>
                        </form>
                    </div><!-- end col -->


                </div><!-- end row -->
            </div>
        </div><!-- end col -->
    </div>



@stop
