<?php


Route::group(['namespace' => 'Api'], function () {
    Route::post('client_register', 'UsersController@client_register');
    Route::post('barber_register', 'UsersController@barber_register');
    Route::post('login', 'UsersController@login');


    // forget Password
    Route::post('forget_password', 'UsersController@forget_password');
    Route::post('check_forget_code', 'UsersController@check_forget_code');
    Route::post('change_password', 'UsersController@change_password');
    Route::get('services', 'ServicesController@index');
    Route::get('barber_info/{id}', 'UsersController@barber_info');

    Route::get('settings', 'DataController@settings');
    Route::get('offers', 'DataController@offers');
    Route::get('single_order/{id}', 'ServicesController@single_order');

    Route::group(['middleware' => ['jwt.verify']], function () {
        Route::post('logout', 'UsersController@logout');
        Route::post('update_profile', 'UsersController@update_profile');
        Route::post('change_old_password', 'UsersController@change_old_password');
        Route::post('order_services', 'ServicesController@order_services');
        Route::post('complete_order', 'ServicesController@complete_order');
        Route::get('resend_order_notification/{id?}', 'ServicesController@resend_order_notification');
        Route::delete('delete_address/{id}', 'UsersController@delete_address');
        Route::post('address', 'UsersController@address');
        Route::post('rate', 'DataController@rate');
        Route::post('update_location','UsersController@update_location');
        Route::post('rate_client','DataController@rate_client');
        Route::get('orders/{flag}', 'ServicesController@orders');
        Route::get('delete_order/{id}', 'ServicesController@delete_order');
        Route::get('order/{id}', 'ServicesController@order_details');
        Route::get('single_order_details/{id}', 'ServicesController@single_order_details');
        Route::get('cancel_order/{id}', 'ServicesController@cancel_order');
        Route::resource('notifications', 'NotificationsController');
        Route::post('contacts', 'DataController@contacts');
        Route::get('my_offers', 'DataController@my_offers');
        Route::get('create_offer', 'DataController@create_offer');
        Route::get('barber_orders', 'ServicesController@barber_orders');
        Route::get('my_addresses', 'UsersController@my_addresses');
        // barber orders changes
        Route::get('accept_order/{id}', 'OrdersController@accept_order');
        Route::get('barber_on_way/{id}', 'OrdersController@barber_on_way');
        Route::post('finish_order', 'OrdersController@finish_order');
        Route::get('start_order/{id}', 'OrdersController@start_order');
        ///////////////////////////////////////////////////////////////////////////
        Route::post('change_availability', 'UsersController@change_availability');
        Route::post('additional_services', 'OrdersController@additional_services');
        Route::get('added_additional_services/{id}', 'OrdersController@added_additional_services');
        Route::get('accept_additional_services/{id}', 'OrdersController@accept_additional_services');
        Route::get('refuse_additional_services/{id}', 'OrdersController@refuse_additional_services');
        Route::post('update_language', 'UsersController@update_language');
        Route::get('barber_services','ServicesController@services');
        Route::post('service','ServicesController@service');

    });
    Route::get('farouz', function () {
        return response()->json(['value'=>true,'data'=>1,'code'=>200]);
    });
});
