<?php

Route::get('/', function () {
    return redirect()->route('admin_login');
});

Route::group(['namespace' => 'Admin'], function () {
    Route::get('login', 'HomeController@login_form')->name('admin_login');
    Route::post('authenticate', 'HomeController@authenticate')->name('authenticate');
    Route::group(['middleware' => 'admin', 'prefix' => 'admin'], function () {
        Route::get('/', 'HomeController@home')->name('dashboard');
        Route::get('logout', 'HomeController@admin_logout')->name('admin_logout');
        Route::resource('admin', 'AdminsController');
        Route::resource('setting', "SettingsController");
        Route::resource('barber','BarbersController');
        Route::resource('user','UsersController');
        Route::resource('new_barber','NewBarbersController');
        Route::resource('contacts','ContactsController');
        Route::resource('offers','OffersController');
        Route::resource('orders','OrdersController');
        Route::resource('services','ServicesController');
        Route::resource('notifications','NotificationsController');
        Route::get('order_search','OrdersController@order_search')->name('order_search');
        Route::get('barber_order_search','BarbersController@barber_order_search')->name('barber_order_search');
    });


});
