<?php $__env->startSection('title', "الطلبات والتقارير"); ?>
<?php $__env->startSection('css'); ?>

    <link href="https://cdn.datatables.net/1.10.21/css/jquery.dataTables.min.css">
    <link href="https://cdn.datatables.net/buttons/1.6.2/css/buttons.dataTables.min.css">
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>



    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">الطلبات والتقارير</h4>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">

            <div class="card-box">


                <form method="get" action="<?php echo e(route('order_search')); ?>" enctype="multipart/form-data">
                    <?php echo csrf_field(); ?>

                    <div class="form-group">
                        <label>التاريخ</label>
                        <div>
                            <div class="input-daterange input-group" data-provide="datepicker">
                                <input type="text" placeholder="التاريخ من" class="form-control" name="start"/>
                                <input type="text" placeholder="التاريخ إلى" class="form-control" name="end"/>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-6">
                            <div class="form-group">
                                <label for="exampleSelect1">الحلاق</label>
                                <select class="js-example-basic-single form-control" name="barber_id">
                                    <option value="0">كل الحلاقين</option>
                                    <?php $__currentLoopData = $barbers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $barber): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option
                                            value="<?php echo e($barber->id); ?>"><?php echo e($barber->name . ' '.$barber->last_name); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                            </div>
                            <?php if($errors->has('barber_id')): ?>
                                <small class="text-danger"><?php echo e($errors->first('barber_id')); ?></small>
                            <?php endif; ?>
                        </div>
                        <div class="col-6">
                            <div class="form-group">
                                <label for="exampleSelect1">العملاء</label>
                                <select class="js-example-basic-single form-control" name="user_id">
                                    <option value="0">كل العملاء</option>
                                    <?php $__currentLoopData = $users; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $user): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($user->id); ?>"><?php echo e($user->name . ' '.$user->last_name); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                            </div>
                            <?php if($errors->has('user_id')): ?>
                                <small class="text-danger"><?php echo e($errors->first('user_id')); ?></small>
                            <?php endif; ?>
                        </div>
                        <div class="col-6">
                            <div class="form-group">
                                <label for="exampleSelect1">الصنف</label>
                                <select class="js-example-basic-single form-control" name="service_id">
                                    <option value="0">كل الأصناف</option>
                                    <?php $__currentLoopData = $services; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $service): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($service->id); ?>"><?php echo e($service->name['ar']); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                            </div>
                            <?php if($errors->has('service_id')): ?>
                                <small class="text-danger"><?php echo e($errors->first('service_id')); ?></small>
                            <?php endif; ?>
                        </div>


                    </div>

                    <button type="submit" class="btn btn-primary">بحث</button>

                </form>

            </div>

            <div class="card-box">
                

                <h4 class="header-title"> طلبات اليوم</h4>
                
                
                
                
                
                
                

                <table id="example" class="table table-bordered dt-responsive nowrap"
                       style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                    <thead>
                    <tr style="font-size: large ; font-family: cairo">
                        <th>#</th>
                        <th>الكود</th>
                        <th>اسم العميل</th>
                        <th>اسم الحلاق</th>
                        <th>الحالة</th>
                        <th>عدد الخدمات</th>
                        <th>الحساب الكلي</th>
                        <th>تاريخ الطلب</th>
                        <th>التحكم</th>
                    </tr>
                    </thead>
                    <tbody>
                    <?php
                    $i = 1;
                    ?>
                    <?php $__currentLoopData = $rows; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $row): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr>
                            <td><?php echo e($i); ?></td>
                            <td><?php echo e($row->order_code); ?></td>
                            <td><?php echo e($row->user->name .' '.$row->user->last_name); ?></td>
                            <td><?php echo e($row->barber ? $row->barber->name .' '.$row->barber->last_name : 'لم يتم تحدد حلاق'); ?></td>
                            <td>

                                <?php if($row->status == 'search'): ?>
في مرحلة البحث

                                <?php elseif($row->status == 'barber_accept'): ?>
الموافقه من الحلاق
                                <?php elseif($row->status == 'barber_in_way'): ?>
الحلاق في الطريق
                                <?php elseif($row->status == 'ongoing'): ?>
                                    في مرحلة التنفيذ
                                <?php elseif($row->status == 'finish'): ?>
                                    تم الانتهاء
                                <?php elseif($row->status == 'canceled'): ?>
                                    تم الإلغاء
                                <?php endif; ?>


                            </td>
                            <td><?php echo e($row->services->count()); ?></td>
                            <td><?php echo e($row->total_price); ?></td>
                            <td><?php echo e(\Carbon\Carbon::parse($row->created_at)->toDateString()); ?></td>


                            <td>
                                <button type="button" class="btn btn-danger waves-effect waves-light"
                                        data-toggle="modal" data-target="#myModal<?php echo e($row->id); ?>">حذف
                                </button>


                                <a href="<?php echo e(route('orders.show',$row->id)); ?>">
                                    <button type="button"
                                            class="btn btn-info waves-effect waves-light">التفاصيل
                                    </button>
                                </a>
                            </td>
                        </tr>
                        <?php
                        $i++;
                        ?>
                        <div id="myModal<?php echo e($row->id); ?>" class="modal fade" tabindex="-1" role="dialog"
                             aria-labelledby="myModalLabel" aria-hidden="true">
                            <div class="modal-dialog">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h5 class="modal-title"
                                            id="myModalLabel">حذف العنصر</h5>
                                        <button type="button" class="close" data-dismiss="modal"
                                                aria-hidden="true">×
                                        </button>
                                    </div>
                                    <div class="modal-body">
                                        <h5 class="font-16">هل تريد الحذف ؟</h5>

                                    </div>
                                    <div class="modal-footer">

                                        <form method="post" enctype="multipart/form-data"
                                              action="<?php echo e(route('orders.destroy',$row->id)); ?>">
                                            <?php echo csrf_field(); ?>
                                            <?php echo method_field('DELETE'); ?>
                                            <button type="button" class="btn btn-light waves-effect"
                                                    data-dismiss="modal">إلغاء
                                            </button>
                                            <button type="submit"
                                                    class="btn btn-danger waves-effect waves-light">حذف
                                            </button>
                                        </form>


                                    </div>
                                </div><!-- /.modal-content -->
                            </div><!-- /.modal-dialog -->
                        </div><!-- /.modal -->

                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                    </tbody>
                </table>
            </div>
        </div>
    </div> <!-- end row -->



<?php $__env->stopSection(); ?>
<?php $__env->startSection('scripts'); ?>

    <script>
        $(document).ready(function () {
            $('#example').DataTable({
                dom: 'Bfrtip',
                buttons: [
                    'excel',
                ]
            });
        });
    </script>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.layout.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/alkhalaffamily/public_html/site/project/resources/views/admin/orders/index.blade.php ENDPATH**/ ?>